20130228_142809.jpg=Suomenlinna Island & Fortress
20130221_151951.jpg=Walking the lake in Tampere
20130223_131649.jpg=Driving across a lake outside Kuopio
20130224_111900.jpg=And here
20130224_093028.jpg='Tattari with blueberry 'soup''
20130224_111850.jpg=Moose bedded down for the night here
20130224_071017.jpg=Our home for a couple of days in Koli
